package sgc.portal.cs.cs0501.persistence;
import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0501.dto.CS05010001USearch;
import sgc.portal.cs.cs0501.model.CS05010001U;

import java.util.List;

@Mapper
public interface CS05010001UMapper {
	
	//카테고리 트리 조회
	List<EasyHashMap<String, Object>> selectTcsDocTree(CS05010001USearch search);
	//카테고리 내역 조회
	List<EasyHashMap<String, Object>> selectTcsDocGrd(CS05010001USearch search);
	
	//카테고리 내역 수정
	int insertTcsDoc(CS05010001U cS05010001U);
    int updateTcsDoc(CS05010001U cS05010001U);
    List<EasyHashMap<String, Object>> deleteDocIdList(CS05010001U cS05010001U);
    int deleteTcsDoc(CS05010001U cS05010001U);
	
}
